Summary:An X-based, constraint-oriented three dimensional modeller.
Name:sceda
Version: 0.81
Release: 5
Copyright:distributable
Group: Applications/Graphics
Source: ftp://ftp.cyberus.ca/pub/sceda/sceda-0.81.tar.gz
Source1: sceda.wmconfig
Patch0: sceda-0.81-scenerc.patch
Patch1: sceda-0.81-misc.patch
Patch2: sceda-0.81-povray.patch
Patch3: sceda-0.81-sparc.patch
Patch4: sceda-0.81-glibc.patch
Url: http://www.cyberus.ca/~denism/sceda/sceda.html
BuildRoot: /var/tmp/sceda-root

%description
Sceda is an X-based, constraint-oriented three dimensional modeller. 
It also provides support for splined keyframe animation. Animated objects
have their position, rotation and scale smoothly interpolated
across multiple keyframes via a (modified) spline function. 

%changelog
* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- added buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- built for glibc
- added wmconfig entry

%prep
%setup
%patch0 -p1 -b .scenerc
%patch1 -p1 -b .misc
%patch2 -p1 -b .povray

%ifarch sparc
%patch3 -p1 -b .sparc
%endif

#%ifarch alpha
%patch4 -p1 -b .glibc
#%endif

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr/X11R6
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -s -c -m 755 sceda $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 444 man/man1/sced.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/sceda.1x
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/sceda.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/sceda

%files
/usr/X11R6/bin/sceda
/usr/X11R6/man/man1/sceda.1x
%doc docs
%doc tutorials
%doc CHANGES.sceda INSTALL.sceda   README.sceda LICENCE 
%doc MANIFEST.sceda  WHATSNEW.sceda
%doc scenerc
/etc/X11/wmconfig/sceda
